import 'package:hub/shared/helpers/db_helper.dart';

import '/flutter_flow/flutter_flow_util.dart';
import 'local_profile_component_widget.dart' show LocalProfileComponentWidget;
import 'package:flutter/material.dart';

///

class LocalProfileComponentModel
    extends FlutterFlowModel<LocalProfileComponentWidget> {
  final DatabaseHelper db = DatabaseHelper();
  String cliName = '';
  String cliUUID = '';

  @override
  void initState(BuildContext context) {
    init();
  }

  Future<void> init() async {
    cliName = await db
        .get(key: 'cliName', field: 'value')
        .then((value) => value.toString());
    cliUUID = await db
        .get(key: 'cliUUID', field: 'value')
        .then((value) => value.toString());
  }

  @override
  void dispose() {}
}
